# WOKernel_HSequenceOfFile.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_WOKernel_HSequenceOfFile.hxx>`
`#include <WOKernel_SequenceOfFile.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_WOKernel_File.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_WOKernel_File
#define | Item_hxx <WOKernel_File.hxx>
#define | TheSequence WOKernel_SequenceOfFile
#define | TheSequence_hxx <WOKernel_SequenceOfFile.hxx>
#define | TCollection_HSequence WOKernel_HSequenceOfFile
#define | TCollection_HSequence_hxx <WOKernel_HSequenceOfFile.hxx>
#define | Handle_TCollection_HSequence Handle_WOKernel_HSequenceOfFile
#define | TCollection_HSequence_Type_() WOKernel_HSequenceOfFile_Type_()

## Functions

Handle_WOKernel_HSequenceOfFile | ShallowCopy (const Handle_WOKernel_HSequenceOfFile &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_WOKernel_HSequenceOfFile

#define Item Handle_WOKernel_File

#define Item_hxx <WOKernel_File.hxx>

#define TCollection_HSequence WOKernel_HSequenceOfFile

#define TCollection_HSequence_hxx <WOKernel_HSequenceOfFile.hxx>

#define TCollection_HSequence_Type_ | (

)

WOKernel_HSequenceOfFile_Type_()

#define TheSequence WOKernel_SequenceOfFile

#define TheSequence_hxx <WOKernel_SequenceOfFile.hxx>

## Function Documentation

Handle_WOKernel_HSequenceOfFile ShallowCopy | ( | const Handle_WOKernel_HSequenceOfFile & | me | ) | `[inline]`